 /*                                   */
 /*      Zak's H8 Monitor C code      */
 /*      error.c                      */
 /*                                   */
 /*   2001-2002 all rights reserved   */
 /*          by Kazutaka 'Zak' Sawa   */
 /*                                   */


#include "zTypes.h"
#include "utilities.h"
#include "error.h"


static const SInt8		kErrorMessage[kMaxErrorNum][24]
															 = {"No Error",
																	"Num of param isn't mach",
																	"Bad hex param",
																	"Bad dec param",
																	"No Odd address",
																	"Too large data"};


/* wv\ */
extern void	showError
		 (const SInt16			theError)							/*  */
	{
			sendString(&(kErrorMessage[theError][0]), true);
	}

