 /*                                   */
 /*      Zak's H8 Monitor C code      */
 /*      help.c                       */
 /*                                   */
 /*   2001-2002 all rights reserved   */
 /*          by Kazutaka 'Zak' Sawa   */
 /*                                   */


#include "zTypes.h"
#include "utilities.h"
#include "help.h"


#define	kHelpLines		21
static const SInt8		kHelpMessage[kHelpLines][40]
															 = {"Command/Description",
																	"=======================================",
																	"Help/?",
																	"   Show what you see now.",
																	"---------------------------------------",
																	"DM sAddr len",
																	"   sAddr :start address in hex",
																	"   len   :dump length in hex",
																	"   Dump learge memory area.",
																	"---------------------------------------",
																	"DL/DW/DB sAddr",
																	"   sAddr :show address in hex",
																	"   Show memory. DL for 4Bytes. DW for ",
																	"   2Bytes. DB for 1Byte.",
																	"---------------------------------------",
																	"SL/SW/SB sAddr sData",
																	"   sAddr :set address in hex",
																	"   sData :set data in hex",
																	"   Set memory. SL for 4Bytes. SW for  ",
																	"   2Bytes. SB for 1Byte.",
																	"======================================="};


/* wv\ */
extern void	doHelp(void)
	{
		/*var*/
		SInt16							counter;
	
		/*functon*/
		for (counter = 0; counter < kHelpLines; counter++)
			sendString(&(kHelpMessage[counter][0]), true);
	}

