 /*                                   */
 /*      Zak's H8 Monitor C code      */
 /*      interrupt.c                  */
 /*                                   */
 /*   2001-2002 all rights reserved   */
 /*          by Kazutaka 'Zak' Sawa   */
 /*                                   */


#include "36064s.h"				/* I/OANZXpCN[ht@C */
#include "zTypes.h"


/*  */
/* ̊݃nh́Aꂼ̃W[\[Xɒ`Ă܂B */


/* ݂̌ʃnh */

static void RXIHandler(void)			/* SCI`l1 M  */
{
	/*var*/
	UInt8								oneChar;

	/*functon*/
	/* Ƃ肠M */
	oneChar = SCI3.RDR;
	
	/* Oobt@ǂtĂȂf[^Rs[ */
	if ((gDMem.CurrentCopyedPos == 0) && (gDMem.CurrentRecievePos == (kRecieveRingBufferSize - 1)))
		return;
	
	if (gDMem.CurrentRecievePos == (gDMem.CurrentCopyedPos - 1))
		return;
	
	gDMem.RecieveBuffer[gDMem.CurrentRecievePos++] = oneChar;
	if (gDMem.CurrentRecievePos >= kRecieveRingBufferSize)
		gDMem.CurrentRecievePos = 0;
}


static void TXIHandler(void)			/* SCI`l1 Mf[^GveB  */
{
	/* 񂪋ɂȂ瑗MI */
	if (--gDMem.SendLength <= 0)
	{
		gDMem.SendLength = 0;
		SCI3.SCR3.BIT.TIE = 0;			/* Ms */
		return;
	}
	
	/* ̕𑗐M */
	SCI3.TDR = gDMem.SendPtr[gDMem.CurrentSendPos++];
}


/* xN^[̉ */

#pragma interrupt
extern void int_nmi(void)			/* NMI */
{
}


#pragma interrupt
extern void int_trap0(void)			/* Trap 0 */
{
}


#pragma interrupt
extern void int_trap1(void)			/* Trap 1 */
{
}


#pragma interrupt
extern void int_trap2(void)			/* Trap 2 */
{
}


#pragma interrupt
extern void int_trap3(void)			/* Trap 3 */
{
}


#pragma interrupt
extern void int_break(void)			/*AhXu[N */
{
}


#pragma interrupt
extern void int_sleep(void)			/* X[v */
{
}


#pragma interrupt
extern void int_irq0(void)			/* O 0 */
{
}


#pragma interrupt
extern void int_irq1(void)			/* O 1 */
{
}


#pragma interrupt
extern void int_irq2(void)			/* O 2 */
{
}


#pragma interrupt
extern void int_irq3(void)			/* O 3 */
{
}


#pragma interrupt
extern void int_wkp(void)			/* EHb`hbO^C} */
{
}


#pragma interrupt
extern void int_timerv(void)		/* ^C}V */
{
}


#pragma interrupt
extern void int_sci3(void)			/* VA  */
{
	UInt16		CurrentSSR;
	
	CurrentSSR = SCI3.SSR.BYTE;
	if (CurrentSSR & 0x0040)				/* Rx */
		RXIHandler();
	if (CurrentSSR & 0x0080)				/* Tx */
		TXIHandler();
}


#pragma interrupt
extern void int_iic(void)			/* I2C */
{
}


#pragma interrupt
extern void int_adi(void)				/* A/DRo[^@ϊI */
{
}


#pragma interrupt
extern void int_timerz1(void)		/* ^C}A */
{
}


#pragma interrupt
extern void int_timerz2(void)		/* ^C}A */
{
}


#pragma interrupt
extern void int_timerb(void)		/* ^C}W */
{
}


#pragma interrupt
extern void int_sci3_2(void)		/* ^C}W */
{
}


